package pwc.taxtech.atms.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.common.ftp.FtpService;

import java.io.InputStream;

@Service
public class FTPFileSystemServiceImpl {

    private static final String USER_TEMPLATE_PATH = "pwc/userTemplate/";
    @Autowired
    private FtpService ftpService;


    public String uploadUserTemplate(String fileName, InputStream inputStream) throws Exception {
        ftpService.upload(USER_TEMPLATE_PATH, fileName, inputStream);
        return USER_TEMPLATE_PATH + fileName;
    }

    public InputStream downloadUserTemplate(String filePath) throws Exception {
        return ftpService.getFtpFileWithStaticUrl(filePath);
    }
}
